## node-balanced-match 1.0.0

=== Makefile ===
test:
	@node_modules/.bin/tape test/test.js

bench:
	@node_modules/.bin/matcha test/bench.js

.PHONY: test bench

## node-balanced-match 0.4.2

=== debian/changelog ===
node-balanced-match (0.4.2-1) unstable; urgency=low

  [ Bas Couwenberg ]
  * Initial release (Closes: #780655)

 -- Pirate Praveen <praveen@debian.org>  Tue, 18 Oct 2016 13:40:03 +0530

=== debian/control ===
Source: node-balanced-match
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: web
Priority: extra
Build-Depends: debhelper (>= 9),
               dh-buildinfo,
               nodejs
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-balanced-match.git
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-balanced-match.git
Homepage: https://github.com/juliangruber/balanced-match

Package: node-balanced-match
Architecture: all
Depends: ${misc:Depends},
         nodejs
Description: Match balanced character pairs in Node.js
 node-balanced-match allows matching balanced string pairs, like { and } or
 <b> and </b> in Node.js.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	# Skip `make test`, node-tape is not packaged yet

override_dh_auto_test:
	# Skip `make test`, node-tape is not packaged yet

=== debian/tests/control ===
Tests: require
Depends: node-balanced-match

## node-balanced-match 1.0.0

=== debian/changelog ===
node-balanced-match (1.0.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Use pkg-js-tools auto install
  * Enable upstream test using tape
  * New upstream version 1.0.0
  * Add "Rules-Requires-Root: no"
  * Change section to javascript

 -- Xavier Guimard <yadd@debian.org>  Wed, 19 Feb 2020 22:09:29 +0100

=== debian/control ===
Source: node-balanced-match
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 12)
 , node-tape <!nocheck>
 , pkg-js-tools (>= 0.9.20~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-balanced-match
Vcs-Git: https://salsa.debian.org/js-team/node-balanced-match.git
Homepage: https://github.com/juliangruber/balanced-match
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-balanced-match
Architecture: all
Depends: ${misc:Depends}
 , nodejs
Description: Match balanced character pairs in Node.js
 node-balanced-match allows matching balanced string pairs, like { and } or
 <b> and </b> in Node.js.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-balanced-match-$1.tar.gz/ \
https://github.com/juliangruber/balanced-match/tags \
.*/archive/v?([\d\.]+).tar.gz

## node-balanced-match 2.0.0

=== debian/changelog ===
node-balanced-match (2.0.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + node-balanced-match: Add Multi-Arch: foreign.

  [ Yadd ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * Update standards version to 4.6.0, no changes needed.
  * Fix debian/watch
  * New upstream version 2.0.0

 -- Yadd <yadd@debian.org>  Fri, 08 Oct 2021 11:34:32 +0200

=== debian/control ===
Source: node-balanced-match
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13)
 , node-tape <!nocheck>
 , dh-sequence-nodejs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-balanced-match
Vcs-Git: https://salsa.debian.org/js-team/node-balanced-match.git
Homepage: https://github.com/juliangruber/balanced-match
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-balanced-match
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Match balanced character pairs in Node.js
 node-balanced-match allows matching balanced string pairs, like { and } or
 <b> and </b> in Node.js.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-balanced-match-$1.tar.gz/ \
https://github.com/juliangruber/balanced-match/tags \
.*/archive/(?:.*/)?v?([\d\.]+).tar.gz
